Upgrading to Buster

Having issues with your DietPi installation or found a bug? Post it here.
Post Reply
holt
Posts: 1
Joined: Wed Nov 24, 2021 12:39 pm

Upgrading to Buster

Post by holt »

Hi, I am following this guide: https://dietpi.com/docs/usage/#how-to-upgrade-to-buster

Got stuck at apt upgrade, where the terminal "hangs" after calculationg upgrade... Done.
It says to use 'apt autoremove'

The following packages were automatically installed and are no longer required:
cpp-6 dh-python gnupg-agent libbind9-140 libcryptsetup4 libdns-export162
libdns162 libgdbm3 libgles2-mesa libglew2.0 libical2 libical3 libicu63
libisc-export160 libisc160 libisccc140 libisccfg140 libisl15 liblwres141
libmpfr4 libncursesw5 libperl5.24 libprocps6 libpython3.5-minimal
libpython3.5-stdlib libustr-1.0-1 libvte-common libvte9 libwayland-egl1-mesa
libxfont1 orage orage-data perl-modules-5.24 python3-distutils
python3-lib2to3 python3.5 python3.5-minimal
Use 'apt autoremove' to remove them.


Any ideas?
User avatar
Joulinar
Posts: 6525
Joined: Sat Nov 16, 2019 12:49 am

Re: Upgrading to Buster

Post by Joulinar »

Hi,

what exactly is the issue you have. The below is just an information that you could use apt autoremove at the end of the update process to remove unnecessary packages. But this is optional. If your system is hanging, it might be busy with downloading packages. Just open a a 2nd SSH session and use htop to watch whats going on.
Pls let us know if a solution is working. This could help others if they hit by similar situation. Your DietPi Team
Post Reply